=== debian/changelog ===
multipath-tools (0.4.8+git0.761c66f-10) stable-proposed-updates; urgency=low

  * [b5f7694] Change HP hardware hanlder to hp_sw.
    Thanks to Phil (Closes: 587315)
  * [4aae2ad] Update man pages (Closes: 644913)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 30 Oct 2011 23:54:39 +0530

multipath-tools (0.4.8+git0.761c66f-9) unstable; urgency=low

  * [0435cc1] Make sure the patchcheckers end up in /lib (Closes: #581377)
  * [858f733] New patch 0011-multipath-fix-offset-for-containted- slices.patch
    multipath: fix offset for containted slices. (Closes: #586104) - thanks to
    Benjamin Marzinski

 -- Guido Günther <agx@sigxcpu.org>  Wed, 16 Jun 2010 20:02:47 +0200

multipath-tools (0.4.8+git0.761c66f-8) unstable; urgency=low

  * [16268d8] Drop path from dmsetup_env call - thanks to Ferenc Wagner
  * [2f3bdd5] Use $name in multipath.udev as well - thanks to Ferenc Wagner
    for testing
  * [c978487] Don't pass -g on mips(el) to work around a binutils bug.  See
    http://sources.redhat.com/bugzilla/show_bug.cgi?id=10144 for details.
  * [9daf438] Make sure we discover multipaths before checkfs/mountall runs
    This covers the cornercase where e.g. /home is on multipath (but not on
    LVM) and multipath-tols aren't started via initramfs. (Closes: #577172)
  * [f7cc840] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Sun, 11 Apr 2010 13:22:35 +0200

multipath-tools (0.4.8+git0.761c66f-7) unstable; urgency=low

  * [13f7436] Properly add multipath-udeb to dh_makeshlibs (Closes: #564489) -
    thanks to again Frans Pop

 -- Guido Günther <agx@sigxcpu.org>  Sat, 23 Jan 2010 00:14:04 +0100

multipath-tools (0.4.8+git0.761c66f-6) unstable; urgency=low

  * [5b0c7be] Fix dependency on nonexistent multipath-tools udeb (Closes:
    #564489) - thanks to Frans Pop
  * [c2a06f7] New patch debian/patches/0010-Dots-are-special-in- groff.patch
    Dots are special in groff

 -- Guido Günther <agx@sigxcpu.org>  Sun, 10 Jan 2010 18:10:05 +0100

multipath-tools (0.4.8+git0.761c66f-5) unstable; urgency=low

  * [9c68527] Explicitly include posix_types.h to get the correct type for
    __kernel_old_dev_t (Closes: #558990)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 05 Dec 2009 18:14:05 +0100

multipath-tools (0.4.8+git0.761c66f-4) unstable; urgency=low

  * [eb7bcf2] Add kpartx_id to initramfs for persistent partition links.
  * [7ecd444] Use $name instead of $kernel since 2.6.31 doesn't create
    /dev/dm-* anymore.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Nov 2009 21:11:31 +0100

multipath-tools (0.4.8+git0.761c66f-3) unstable; urgency=low

  * upload to unstable
  * [f62b619] Tighten multipath-tools-boot dependency Older versions might not
    be able to cope with renamed patch checkers, etc.
  * [7bb23db] Add udev rules to initramfs This makes the initramfs properly
    event based. Once #455979 is fixed in LVM, root on lvm on multipatph can
    work reliably. (Closes: #539498)
  * [d9fcc80] Another init script dependency fix (Closes: #542370) - thanks to
    Petter Reinholdtsen
  * [3faab35] redo patches
  * [c903696] Make user_friendly_names compatible to multipath-tools 0.4.8 and
    earlier

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Nov 2009 18:04:07 +0100

multipath-tools (0.4.8+git0.761c66f-2) experimental; urgency=low

  * [34758f1] don't install files into /lib64 on 64 bit architectures - thanks
    to Pascal de Bruijn
  * [2b0a3da] use libreadline-dev (Closes: #553813)
  * [8394b3a] cherry-pick 362d2e5f215894818b52a0d03b723b75917390fb (Closes:
    #555901)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 12 Nov 2009 17:35:28 +0100

multipath-tools (0.4.8+git0.761c66f-1) experimental; urgency=low

  * upload current git snapshot to experimental
  * [71c9c74] warn about user_friendly_names and suggest using /dev/disk/by-id/
  * [329762e] increase locking timeout on bindings file to 30 secs - thanks to
    Ritesh Raj Sarraf for the patch
  * [759ad9b] add spanish translation (Closes: #528972) - thanks to Fernando
    González de Requena
  * [7c327fa] add Czech translation (Closes: #533524) - thanks to Tomas Fidler
  * [49c78ba] drop patches merged upstream:
        * 0001-get-rid-of-arch-specific-ifdef-spaghettis.patch
        * 0002--libmultipath-filter_wwid-is-called-with-the-wron.patch
        * 0004--kpartx-fix-extended-partition-handling.patch
        * 0005--kpartx-remove-partitions-in-reverse-order.patch
        * 0006--kpartx-documentation-fixes.patch
        * 0007--kpartx-remove-dead-code.patch
        * 0008-udev-as-of-0.124-doesn-t-support-scsi_id-s-anymor.patch
        * 0011--kpartx-use-uint64_t-to-account-slices-start-size.patch
        * 0012--libmultipath-Update-discovery-to-work-with-new-sys.patch
        * 0013-multipathd-crash-on-shutdown.patch
        * 0014--var-run-multipathd.sock-is-world-writable.patch
        * 0015-Increase-timeout-to-30-secs-to-avoid-locking-issue.patch
  * [52b5373] checkers and prio callouts are now SOs
  * [e493cde] debian/rules: use --fail-missing
  * [b1c5baf] devmap_name is no more
  * [fd41e76] bump standards version
  * [82dc3df] drop iscsi to work around #542370
  * [cce7640] new patch:
    0004-check-header-file-for-defintion-of-dm_task_no_flush: check the header
    file for dm_task_no_flush instead
    of one of the installed libs.
  * [876a5fb] new patch: 0005-set-a-soname.patch add a soname to libmultipath
  * [1912767] new patch 0006-add-library-dependencies.patch add libraries to
    the linker call
  * [4d1b506] add dh_makeshlibs call
  * [1ee06d5] install lib with soname

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Aug 2009 15:53:24 +0200

multipath-tools (0.4.8-15) unstable; urgency=low

  * [e3fdd6f] add iscsi as a prereq and add verbose logic from mdadm.
  * [9299e3d] On shutdown multipathd flushes its internal message queue
    but we have to check if the messages on the queue are not empty.
    (Closes: #519252)
  * [df5ee21] fix umask of multipathd socket (CVE-2009-0115). Upstream

